/* === RESPONSIVE DESIGN === */
@media (max-width: 600px) {
   .project {
    padding: 1rem;
  }

  .project__title {
    font-size: 1.3rem;
  }

  .projects__container {
    flex-direction: column;
    gap: 1.5rem;
  }

  .box {
    padding: 8px;
    border-radius: 10px;
  }

  .box h3 {
    font-size: 1.2rem;
  }

  .project__description {
    font-size: 0.98rem;
    padding: 6px;
  }

  .project-image {
    max-width: 100%;
    height: auto;
  }
}

/* Tablet */
@media (min-width: 601px) {
  .header__container {
    display: flex;
    align-items: center;
  }

    .nav__container {
    display: flex;
    flex-direction: row;
    align-items: start;
    justify-content: center;
    gap: 2rem;
  }

  .nav__logo {
    width: 100px;
    height: 100px;
  }

  .nav__toggle {
  display: none;
  }

  .nav__link {
    font-size: 1.6rem;
  }

  .intro__container {
    flex-direction: column;
    align-items: center;
    min-height: unset;
    gap: 2rem;
    padding: 2rem 0;
  }

  .intro__photo {
    width: 200px;
    height: auto;
    padding: 0.7rem;
  }

  .intro__info {
    margin: 0;
    padding: 1rem;
    width: 100%;
  }

  .intro__title {
    font-size: 1.5rem;
    text-align: center;
  }

  .intro__description {
    font-size: 1rem;
    margin-block: 1.5rem;
    text-align: left;
  }

  .grid {
    grid-template-columns: repeat(3, 1fr);
  }

  .btn--large {
    display: block;
    text-align: center;
    max-width: 200px;
  }

  .project {
    padding: 1.5rem 1rem;
    border-radius: 7px;
  }

  .project__title {
    font-size: 1.6rem;
  }

  .projects__container {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 1rem;
}

  .box {
    padding: 10px;
    border-radius: 12px;
  }

  .box h3 {
    font-size: 1.4rem;
  }

  .project__description {
    font-size: 1rem;
    padding: 8px;
  }

  .project-image {
    max-width: 100%;
    height: auto;
  }

  .contact {
    padding: 2rem 0;
  }

  .contact__form {
    width: 90%;
    min-width: 0;
    padding: 15px;
  }

  .contact__title {
    font-size: 1.4rem;
    margin: 25px auto;
  }

  footer {
    font-size: 0.75rem;
    padding: 0.7rem 0;
  }

  .scroll-top {
    width: 45px;
    height: 45px;
    font-size: 1.1rem;
    bottom: 15px;
    right: 15px;
  }
}

@media (min-width: 901px) {
  .projects__container {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 1rem;
}

.icon {
  font-size: 1.3rem;
}

}
